<?php

namespace Concrete\Package\AbDisableCopy\Block\AbDisableCopy;

use Concrete\Core\Block\BlockController;

/**
 * ab_disable_copy package for Concrete5
 * Copyright Copyright 2017-2018, Alex Borisov
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author Alex Borisov <linuxoidoz@gmail.com>
 * @package Concrete\Package\ab_disable_copy
 */
 
class Controller extends BlockController
{
    
    protected $btWrapperClass = 'ccm-ui';
    protected $btInterfaceWidth = "600";
    protected $btInterfaceHeight = "200";
    protected $btTable = 'btAbDisableCopy';
    protected $btDefaultSet = 'multimedia';
    
    public function getBlockTypeDescription() 
    {
        return t("Add disable page or site content copy block");
    }

    public function getBlockTypeName() 
    {
        return t("Disable content copy");
    }

    public function registerViewAssets($outputContent = '')
    {
        if ($this->disable_copy) {
            $al = \Concrete\Core\Asset\AssetList::getInstance();
            $al->register('javascript', 'disable_copy', 'js/disable_copy.js', array(), 'ab_disable_copy');
            $this->requireAsset('javascript', 'disable_copy');
        }
    }
    
    public function view()
    {
    }
    
    public function save($args) 
    {
        $args['disable_copy'] = isset($args['disable_copy']) ? 1 : 0;
        parent::save($args);
    }

}
