<?php
namespace Concrete\Package\AbDisableCopy\Controller\SinglePage\Dashboard\System\Permissions;

use Concrete\Core\Page\Controller\DashboardPageController;
use Config;

class DisableCopy extends DashboardPageController
{
    public function view()
    {
        $config = $this->app->make('config');
        $this->set('disable_copy', $config->get('concrete.permissions.disable_copy'));
    }

    public function save()
    {
        if (!$this->token->validate('disable_copy')) {
            $this->error->add(t('Invalid CSRF token. Please refresh and try again.'));
            $this->view();
        } else {
            $config = $this->app->make('config');
            $config->save('concrete.permissions.disable_copy', (bool)$this->request->request->get('disable_copy', false));
            $this->flash('message', t('Successfully saved disable copy settings'));
            $this->redirect('/dashboard/system/permissions/disable_copy');
        }
    }

}
